Summary: vSphere SDK for Python
Name: python-psphere
Version: 0.5.2
Release: 15%{?dist}
Source0: %{name}-%{version}.tar.gz
Patch1: python-psphere-requirements-fix.patch
License: ASL 2.0
Prefix: %{_prefix}
BuildArch: noarch
Url: http://jkinred.bitbucket.org/psphere
BuildRequires: python2-setuptools
BuildRequires: python2-devel

%global _description\
This is a simple Python binding for elements of the vsphere SOAP-API

%description %_description

%package -n python2-psphere
Summary: %summary
Requires: python2-suds
Requires: python2-pyyaml
%{?python_provide:%python_provide python2-psphere}

%description -n python2-psphere %_description

%prep
%setup -n %{name}-%{version} -n %{name}-%{version}
%patch1 -p1

%build
%py2_build

%install
%py2_install

%files -n python2-psphere
%{python2_sitelib}/psphere
%{python2_sitelib}/python_psphere-%{version}-py2.?.egg-info

%changelog
* Tue May 28 2019 Kevin Fenzi <kevin@scrye.com> - 0.5.2-15
- Rebuilt for python-suds provides change.

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.5.2-12
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 22 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.5.2-10
- Add a build-time dependency on python2-devel and modernize spec file

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.2-9
- Python 2 binary package renamed to python2-psphere
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 28 2013 Ian McLeod <imcleod@redhat.com> - 0.5.2-1
- rebase with upstream 0.5.2

* Thu Mar 15 2012 Ian McLeod <imcleod@redhat.com> - 0.1-5
- Remove Vendor field from SPEC file

* Fri Jan 20 2012 Ian McLeod <imcleod@redhat.com> - 0.1-4
- Add DistributedVirtualPortgroup to support new style distributed switches

* Wed Jun 08 2011 Richard Su <rwsu@redhat.com> - 0.1-3
- pull new upstream version
